[DRE-commits] [ruby-ncurses] 08/08: Add method for repackaging upstream
Per Andersson
avtobiff-guest at moszumanska.debian.org
Wed Jan 22 02:12:18 UTC 2014
This is an automated email from the git hooks/post-receive script.
avtobiff-guest pushed a commit to branch newer-stuff
in repository ruby-ncurses.
commit 90d58b70fad3715774b7adf527504ee4337e2a77
Author: Per Andersson <avtobiff at gmail.com>
Date: Wed Jan 22 02:34:15 2014 +0100
Add method for repackaging upstream
Upstream ships three files that are non DFSG free, remove them.
---
debian/README.source | 11 +++++++++++
debian/get-orig-source.sh | 14 ++++++++++++++
debian/rules | 3 +++
3 files changed, 28 insertions(+)
diff --git a/debian/README.source b/debian/README.source
new file mode 100644
index 0000000..9b67003
--- /dev/null
+++ b/debian/README.source
@@ -0,0 +1,11 @@
+FETCH NEW UPSTREAM SOURCE
+=========================
+
+Upstream ships three example files which are not DFSG free.
+
+In order to get a DFSG free tarball, just run the `get-orig-source` target in
+`debian/rules`, or execute the shell script `debian/get-orig-source.sh` that
+does the work.
+
+--
+Per Andersson <avtobiff at gmail.com>
diff --git a/debian/get-orig-source.sh b/debian/get-orig-source.sh
new file mode 100755
index 0000000..e59fed4
--- /dev/null
+++ b/debian/get-orig-source.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+file=$(uscan --verbose | \
+ sed -n '/Successfully downloaded updated package/ {s/.*updated package \(.*\)$/\1/; p}')
+version="$(echo $file | sed 's/^v\(.*\)\.tar\.gz/\1/')+dfsg"
+path=../$file
+
+gzip -d < $path | \
+ tar --delete --wildcards -f - '*/form*.rb' | \
+ gzip > ../ruby-ncurses-${version}.tar.gz
+rm $path
+ln -s ../ruby-ncurses-${version}.tar.gz ../ruby-ncurses_${version}.orig.tar.gz
diff --git a/debian/rules b/debian/rules
index a5e7dc8..d3b7132 100755
--- a/debian/rules
+++ b/debian/rules
@@ -13,3 +13,6 @@
%:
dh $@ --buildsystem=ruby --with ruby
+
+get-orig-source:
+ sh debian/get-orig-source.sh
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/ruby-ncurses.git
More information about the Pkg-ruby-extras-commits
mailing list